<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>SVG Radial Progress Bar</title>
  <style>
      * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        .wrap {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .progress-bar {
            width: 100%;
        }
        .progress-bar__wrap {
            width: 200px;
            margin: 20px;
            position: relative;
        }
        .progress-bar__count {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            color: #2196f3;
            font-size: 30px;
        }
        .progress-bar__count::after {
            content: '%';
        }
        .progress-bar__range {
            margin: 20px;
        }
        .progress-bar__meter-bg {
            fill: transparent;
            stroke: #cccccc;
        }
        .progress-bar__meter-line {
            fill: transparent;
            stroke: #2196f3;
            transform: rotateZ(-90deg);
            transform-origin: center center 0px;
            transition: all .1s;
        }
  </style>
</head>
<body>
    <div class="wrap">
        <div class="progress-bar__wrap">
        <svg class="progress-bar" viewBox="0 0 200 200">
            <circle class="progress-bar__meter-bg" cx="100" cy="100" r="94" stroke-width="12" />
            <circle class="progress-bar__meter-line" cx="100" cy="100" r="94" stroke-width="12"/>
        </svg>
        <p class="progress-bar__count">0</p>
        </div>
        <input class="progress-bar__range" type="range" value="0">
    </div>
    <script>
    window.onload = function(){
        var progressBar = document.querySelector('.progress-bar__meter-line'),
            control =  document.querySelector('input'),
            count = document.querySelector('.progress-bar__count'),
            circle = progressBar.getBBox().width * Math.PI;
        
        progressBar.style.strokeDasharray = circle;
        progressBar.style.strokeDashoffset = circle;
        control.setAttribute('max', circle);
        control.setAttribute('step', circle / 100);
        
        control.addEventListener('input', function(){
            progressBar.style.strokeDashoffset = circle - this.valueAsNumber;
            count.innerHTML =  Math.round(this.valueAsNumber * 100 / circle);
        });        
    }
    </script>
</body>
</html>